\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Kinetic Framework

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions | Related Functions
Kinetic::Simulator::Time Concept Reference
Other Concepts

## Definition

The concept `Time` represents time in the simulator.

Comparisons with other `Kinetic::Simulator::Time` objects are supported.

Has Models:

  `double`

  `Kinetic::FunctionKernel::Root`

See Also
  `Kinetic::Simulator`

## Public Member Functions
| Time (NT)
| Construct an instance of time from a number type, where NT is the number type used in the simulation.
std::ostream & | operator<< (std::ostream &, Time)
| Write it to a stream.

## Related Functions
(Note that these are not member functions.)
double | to_double (Simulator::Time)
| Return a double approximation of the time value.
std::pair< double, double > | to_interval (Simulator::Time)
| Return an interval containing the time value.